OpenVDB: SOP_VDBCacheOptions Class Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SOP_VDBCacheOptions Class Referenceabstract

SOP_NodeCacheOptions subclass that adds methods specific to SOP_NodeVDB. More...

`#include <openvdb_houdini/SOP_VDBVerbUtils.h>`

Inheritance diagram for SOP_VDBCacheOptions:

## Public Member Functions
| SOP_VDBCacheOptions ()
| ~SOP_VDBCacheOptions () override
openvdb::Vec3f | evalVec3f (const char *name, fpreal time) const
openvdb::Vec3R | evalVec3R (const char *name, fpreal time) const
openvdb::Vec3i | evalVec3i (const char *name, fpreal time) const
openvdb::Vec2R | evalVec2R (const char *name, fpreal time) const
openvdb::Vec2i | evalVec2i (const char *name, fpreal time) const
std::string | evalStdString (const char *name, fpreal time, int index=0) const
const GA_PrimitiveGroup * | matchGroup (const GU_Detail &gdp, const UT_StringRef &groupname)
const GA_PrimitiveGroup * | parsePrimitiveGroups (const UT_StringRef &maskStr, const GroupCreator &maskGeo)
GA_PrimitiveGroup * | parsePrimitiveGroupsCopy (const UT_StringRef &maskStr, const GroupCreator &maskGeo)
const GA_PointGroup * | parsePointGroups (const UT_StringRef &maskStr, const GroupCreator &maskGeo)
const GA_PointGroup * | parsePointGroups (const UT_StringRef &maskStr, const GU_Detail *gdp)

## Protected Member Functions
OP_ERROR | cook (OP_Context &context) override final
virtual OP_ERROR | cookVDBSop (OP_Context &)=0
OP_ERROR | cookMySop (OP_Context &context)

## Protected Attributes
GOP_Manager | gop

## Detailed Description

SOP_NodeCacheOptions subclass that adds methods specific to SOP_NodeVDB.

## Constructor & Destructor Documentation

## ◆ SOP_VDBCacheOptions()

SOP_VDBCacheOptions | ( |  | ) |
| inline

## ◆ ~SOP_VDBCacheOptions()

~SOP_VDBCacheOptions | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ cook()

OP_ERROR cook | ( | OP_Context & | context | ) |
| inlinefinaloverrideprotected

## ◆ cookMySop()

OP_ERROR cookMySop | ( | OP_Context & | context | ) |
| inlineprotected

## ◆ cookVDBSop()

virtual OP_ERROR cookVDBSop | ( | OP_Context & |  | ) |
| protectedpure virtual

## ◆ evalStdString()

std::string evalStdString | ( | const char * | name,
|  | fpreal | time,
|  | int | index = `0`
| ) |  | const
| inline

## ◆ evalVec2i()

openvdb::Vec2i evalVec2i | ( | const char * | name,
|  | fpreal | time
| ) |  | const
| inline

## ◆ evalVec2R()

openvdb::Vec2R evalVec2R | ( | const char * | name,
|  | fpreal | time
| ) |  | const
| inline

## ◆ evalVec3f()

openvdb::Vec3f evalVec3f | ( | const char * | name,
|  | fpreal | time
| ) |  | const
| inline

## ◆ evalVec3i()

openvdb::Vec3i evalVec3i | ( | const char * | name,
|  | fpreal | time
| ) |  | const
| inline

## ◆ evalVec3R()

openvdb::Vec3R evalVec3R | ( | const char * | name,
|  | fpreal | time
| ) |  | const
| inline

## ◆ matchGroup()

const GA_PrimitiveGroup * matchGroup | ( | const GU_Detail & | gdp,
|  | const UT_StringRef & | groupname
| ) |  |
| inline

## ◆ parsePointGroups() [1/2]

const GA_PointGroup * parsePointGroups | ( | const UT_StringRef & | maskStr,
|  | const GroupCreator & | maskGeo
| ) |  |
| inline

## ◆ parsePointGroups() [2/2]

const GA_PointGroup * parsePointGroups | ( | const UT_StringRef & | maskStr,
|  | const GU_Detail * | gdp
| ) |  |
| inline

## ◆ parsePrimitiveGroups()

const GA_PrimitiveGroup * parsePrimitiveGroups | ( | const UT_StringRef & | maskStr,
|  | const GroupCreator & | maskGeo
| ) |  |
| inline

## ◆ parsePrimitiveGroupsCopy()

GA_PrimitiveGroup * parsePrimitiveGroupsCopy | ( | const UT_StringRef & | maskStr,
|  | const GroupCreator & | maskGeo
| ) |  |
| inline

## Member Data Documentation

## ◆ gop

GOP_Manager gop
| protected